Bug 851735 - Plan id should return freeshift if not set
Plan id should return freeshift if not set
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Ravi Sankar
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-24 18:45 EDT by Dan McPherson
Modified: 2015-05-14 22:03 EDT (History)
1 user (show)

See Also:
Fixed In Version: devenv_2084
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 17:29:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan McPherson 2012-08-24 18:45:29 EDT
Description of problem:
Currently we return nil for planid if it isn't set.  We still don't want to set a value in the schema in the case they don't have a billing account but at the model layer can can return freeshift in the model getter without setting it into the instance var.
Comment 1 Ravi Sankar 2012-08-27 20:57:39 EDT
Fixed in git rev. 87c9d2c00f5ad
Comment 2 Meng Bo 2012-08-28 02:48:11 EDT
Checked on devenv_2085, it returns freeshift for new created normal user.

      <login>bmeng@redhat.com</login>
      <consumed-gears>0</consumed-gears>
      <max-gears>3</max-gears>
      <plan-id>freeshift</plan-id>
      <usage-account-id nil="true"></usage-account-id>

Note You need to log in before you can comment on or make changes to this bug.